VACATION(1)                 General Commands Manual                VACATION(1)



NNAAMMEE
       vacation - E-mail auto-responder

SSYYNNOOPPSSIISS
       vvaaccaattiioonn  [--aa _a_l_i_a_s] [--CC _c_f_f_i_l_e] [--dd] [--ff _d_a_t_a_b_a_s_e] [--ii] [--II] [--jj] [--ll]
       [--mm _m_e_s_s_a_g_e] [--RR _r_e_t_u_r_n_a_d_d_r] [--rr _i_n_t_e_r_v_a_l] [--ss _a_d_d_r_e_s_s] [--tt _t_i_m_e]  [--UU]
       [--xx] [--zz] _l_o_g_i_n

DDEESSCCRRIIPPTTIIOONN
       VVaaccaattiioonn  returns  a message, _~_/_._v_a_c_a_t_i_o_n_._m_s_g by default, to the sender
       informing them that you are currently not reading your mail.  The  mes-
       sage  is  only  sent  to  each  sender  once per reply interval (see --rr
       below).  The intended use is in a _._f_o_r_w_a_r_d  file.   For  example,  your
       _._f_o_r_w_a_r_d file might have:

              \eric, "|/usr/bin/vacation -a allman eric"

       which  would  send  messages to you (assuming your login name was eric)
       and reply to any messages for ``eric'' or ``allman''.

       Available options:

       --aa _a_l_i_a_s
              Handle messages for _a_l_i_a_s in the same manner as  those  received
              for the user's login name.

       --CC _c_f_p_a_t_h
              Specify  pathname  of  the  sendmail  configuration  file.  This
              option is ignored if --UU is specified.  This option  defaults  to
              the   standard   sendmail   configuration   file,   located   at
              /etc/mail/sendmail.cf on most systems.

       --dd     Send error/debug messages to stderr instead of  syslog.   Other-
              wise,  fatal  errors,  such  as  calling vvaaccaattiioonn with incorrect
              arguments, or with non-existent _l_o_g_i_ns, are logged in the system
              log file, using syslog(8).  This should only be used on the com-
              mand line, not in your _._f_o_r_w_a_r_d file.

       --ff _f_i_l_e_n_a_m_e
              Use _f_i_l_e_n_a_m_e as name of the database instead  of  _~_/_._v_a_c_a_t_i_o_n_._d_b
              or  _~_/_._v_a_c_a_t_i_o_n_._{_d_i_r_,_p_a_g_}.  Unless the _f_i_l_e_n_a_m_e starts with / it
              is relative to ~.

       --ii     Initialize the vacation  database  files.   It  should  be  used
              before  you modify your _._f_o_r_w_a_r_d file.  This should only be used
              on the command line, not in your _._f_o_r_w_a_r_d file.

       --II     Same as --ii (for backwards compatibility).  This should  only  be
              used on the command line, not in your _._f_o_r_w_a_r_d file.

       --jj     Respond to the message regardless of whether the login is listed
              as a recipient for the message.  Do not use this flag unless you
              are  sure  of the consequences.  For example, this will cause to
              reply to mailing list messages which may result in removing  you
              from the list.

       --ll     List  the  content  of  the vacation database file including the
              address and the associated time of  the  last  auto-response  to
              that address.  This should only be used on the command line, not
              in your _._f_o_r_w_a_r_d file.

       --mm _f_i_l_e_n_a_m_e
              Use _f_i_l_e_n_a_m_e as name of the file containing the message to  send
              instead  of  _~_/_._v_a_c_a_t_i_o_n_._m_s_g.  Unless the _f_i_l_e_n_a_m_e starts with /
              it is relative to ~.

       --RR _r_e_t_u_r_n_a_d_d_r
              Set the reply envelope sender address

       --rr _i_n_t_e_r_v_a_l
              Set the reply interval to _i_n_t_e_r_v_a_l days.   The  default  is  one
              week.   An interval of ``0'' or ``infinite'' (actually, any non-
              numeric character) will never send more than one reply.  The  --rr
              option  should  only  be used when the vacation database is ini-
              tialized (see --ii above).

       --ss _a_d_d_r_e_s_s
              Use _a_d_d_r_e_s_s instead of the incoming message  sender  address  on
              the _F_r_o_m line as the recipient for the vacation message.

       --tt _t_i_m_e
              Ignored,  available  only  for compatibility with Sun's vacation
              program.

       --UU     Do not attempt to lookup _l_o_g_i_n in the password file.  The -f and
              -m options must be used to specify the database and message file
              since there is no home directory for the  default  settings  for
              these options.

       --xx     Reads  an  exclusion  list  from  stdin  (one address per line).
              Mails coming from an address in this exclusion list won't get  a
              reply  by  vvaaccaattiioonn.  It is possible to exclude complete domains
              by specifying ``@domain'' as  element  of  the  exclusion  list.
              This  should only be used on the command line, not in your _._f_o_r_-
              _w_a_r_d file.

       --zz     Set the sender of the vacation message to ``<>'' instead of  the
              user.   This  probably violates the RFCs since vacation messages
              are not required  by  a  standards-track  RFC  to  have  a  null
              reverse-path.

       VVaaccaattiioonn  reads  the  first  line  from  the  standard input for a UNIX
       ``From'' line to  determine  the  sender.   Sendmail(8)  includes  this
       ``From'' line automatically.

       No message will be sent unless _l_o_g_i_n (or an _a_l_i_a_s supplied using the --aa
       option) is part of either the ``To:'' or ``Cc:'' headers of  the  mail.
       No   messages   from   ``???-REQUEST'',  ``???-RELAY'',  ``???-OWNER'',
       ``OWNER-???'', ``Postmaster'', ``UUCP'', ``MAILER'',  or  ``MAILER-DAE-
       MON'' will be replied to (where these strings are case insensitive) nor
       is a notification sent  if  a  ``Precedence:  bulk''  or  ``Precedence:
       junk''  line is included in the mail headers.  The people who have sent
       you messages are maintained as a db(3) or dbm(3) database in  the  file
       _._v_a_c_a_t_i_o_n_._d_b or _._v_a_c_a_t_i_o_n_._{_d_i_r_,_p_a_g_} in your home directory.

       VVaaccaattiioonn expects a file _._v_a_c_a_t_i_o_n_._m_s_g, in your home directory, contain-
       ing a message to be sent back to each sender.  It should be  an  entire
       message (including headers).  For example, it might contain:

              From: eric@CS.Berkeley.EDU (Eric Allman)
              Subject: I am on vacation
              Delivered-By-The-Graces-Of: The Vacation program
              Precedence: bulk

              I am on vacation until July 22.  If you have something urgent,
              please contact Keith Bostic <bostic@CS.Berkeley.EDU>.
              --eric

FFIILLEESS
       ~/.vacation.db    default database file for db(3)

       ~/.vacation.{dir,pag}
                         default database file for dbm(3)

       ~/.vacation.msg   default message to send

SSEEEE AALLSSOO
       sendmail(8), syslog(8)

HHIISSTTOORRYY
       The vvaaccaattiioonn command appeared in 4.3BSD.



                         $Date: 2002/06/27 23:51:52 $              VACATION(1)
